#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libpng
Version		:	1.6.39
Release		:	14.4.0.0%{?dist}
Summary		:	Interfaces for accessibility support
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	zlib
URL		:	https://downloads.sourceforge.net/libpng/files/libpng16

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-apng.patch.gz

#-----------------------------------------------------------------------------
%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG
is a bit-mapped graphics format similar to the GIF format.  PNG was
created to replace the GIF format, since GIF uses a patented data
compression algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

%prep
%setup -q
%patch0 -p1

#---------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_prefix}/lib/%{name}
%{__mv}							\
	 %{buildroot}%{_libdir}/*.la 			\
	 %{buildroot}%{_prefix}/lib/%{name}
	
	

%files			
%defattr(-,root,root,-)
%doc LICENSE README
%{_includedir}/png*.h
%{_includedir}/%{name}16/*.h
%{_bindir}/png*
%{_bindir}/%{name}*-config
%{_libdir}/%{name}.so*
%{_libdir}/%{name}16.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}16.pc
%{_prefix}/lib/%{name}/%{name}.la
%{_prefix}/lib/%{name}/%{name}16.la
%{_mandir}/man3/*.3.gz
%{_mandir}/man5/*.5.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
